Subject: RE: [seamoby] Re: HMIPv6 & regional registrations

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 31 Jan 2001 23:19:02 +0100

Hello James,
 
Thanks for the comment. We will be releasing a new draft next
week anyway. This comment was also brought up during the
presentation in San Diego and we will add the necesary text 
to clarify that. 

BTW, I haven't been able to keep up with the discussions on 
this mailing list, so please let us (the authors) know if there are
any comments to consider for this update. 

Regards,
Hesham

> -----Original Message-----
> From:	James Kempf [SMTP:[email-masked]]
> Sent:	Wednesday, 31 January 2001 7:26
> To:	Claude Castelluccia
> Cc:	[email-masked]; [email-masked]; [email-masked]
> Subject:	Re: [seamoby] Re: HMIPv6 & regional registrations
> 
> Claude,
> 
> At 06:00 PM 1/30/01 +0100, Claude Castelluccia wrote:
> >James Kempf wrote:
> >>Claude,
> >>
> >>At 12:51 PM 1/30/01 +0100, Claude Castelluccia wrote:
> >>
> >> >Could you explain me why this is true for HMIPv6?
> >> >I am very interested ;-)....
> >>
> >>After looking over the draft, I see that you are right. The LCoA
> >>only goes to the CN if they are on the same link.
> >>
> >actually both solutions are possible: a MN can either use its LCoA or RCoA
> >as source address....
> >>
> >>However, the draft does say that the mobile can send the LCoA
> >>to the last MAP. This is certainly a way for hierarchical information
> >>to leak out. This won't work if, for example, the LCoA is a site-local
> >>address. Shouldn't the last MAP be treated like any other corresponding
> >>node?
> >you are right but I think we should allow both solutions and let the MN
> >decide which solution to use....
> >
> >The MN should probably use its LCoA to register with its previous MAP if
> >the new and previous MAP belong to the same site and administrative domain
> >(the routing will then be optimal).
> >
> >The MN should (or must) probably use its new RCoA to register with its
> >previous MAP if the new MAP is in an other site or administration domain....
> >
> >does it make sense?
> 
> Yes, but I think the draft needs to make this clearer.
> 
>                  jak